# $Revision: 1.40 $, $Date: 2009/02/17 13:41:54 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Config
%define		pnam	General
Summary:	Config::General - generic config module
Summary(pl.UTF-8):	Config::General - ogólny moduł konfiguracji
Name:		perl-Config-General
Version:	2.42
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Config/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2b4d586151de7de521dd415be08b4cd5
URL:		http://search.cpan.org/dist/Config-General/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module opens a config file and parses it's contents for you. The
method new requires one parameter which needs to be a filename. The
method getall returns a hash which contains all options and it's
associated values of your config file.

%description -l pl.UTF-8
Ten moduł otwiera plik konfiguracyjny i analizuje jego zawartość.
Metoda new wymaga jednego parametru, którym musi być nazwa pliku.
Metoda getall zwraca hasza zawierającego wszystkie opcje i związane
z nimi wartości z pliku konfiguracyjnego.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changelog example.cfg
%{perl_vendorlib}/Config/*.pm
%{perl_vendorlib}/Config/General
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Config-General.spec,v $
Revision 1.40  2009/02/17 13:41:54  jajcus
- Version: 2.42

Revision 1.39  2007-12-24 11:44:49  qboosh
- generic URL

Revision 1.38  2007-12-23 22:56:15  zbyniu
- up to 2.37

Revision 1.37  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.36  2007/02/12 00:49:26  baggins
- converted to UTF-8

Revision 1.35  2006/08/24 00:02:38  radek
- release 1, added Extended.pm and example.cfg, removed README

Revision 1.34  2006/01/22 11:54:49  agaran
- up to 2.31 rel 0.1

Revision 1.33  2004/11/03 22:30:11  paladine
- formatting

Revision 1.32  2004/08/08 17:39:04  adamg
- updated to 2.27

Revision 1.31  2004/06/05 18:10:33  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.30  2004/05/06 18:43:05  ankry
- fixed perl-devel BR

Revision 1.29  2004/04/18 22:17:09  ankry
- license fixes and cosmetics

Revision 1.28  2004/04/14 11:42:38  ankry
- caps and other cosmetics

Revision 1.27  2004/03/14 17:21:41  adamg
- updated to 2.26

Revision 1.26  2003/11/08 21:25:35  migo
- up to 2.24, new bcond style

Revision 1.25  2003/09/15 08:17:22  adamg
- updated to 2.21

Revision 1.24  2003/08/18 08:08:33  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.23  2003/06/11 22:22:14  misi3k
- updated to 2.19

Revision 1.22  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.21  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.19  2003/04/11 13:40:09  qboosh
- updated to 2.18, release 2

Revision 1.18  2003/03/01 18:46:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.17  2003/02/25 00:37:40  radek
- use the __perl macro

Revision 1.16  2003/02/18 15:28:21  ankry
- massive attack: change CPAN URLs

Revision 1.15  2003/01/07 13:14:07  mis
- autoupdated to 2.15

Revision 1.14  2002/11/21 16:39:12  mis
- autoupdated to 2.14

Revision 1.13  2002/11/20 11:40:44  mis
- autoupdated to 2.13

Revision 1.12  2002/11/08 18:01:37  radek
- version 2.11

Revision 1.11  2002/10/28 15:41:09  ankry
- version 2.09, added tests, typo

Revision 1.10  2002/08/14 23:37:30  qboosh
- pl description, release 4

Revision 1.9  2002/08/11 10:51:08  radek
- informative summary/description, release++, STBR

Revision 1.8  2002/07/24 00:15:57  ankry
- translations, cleaning
- %%dir %{perl_sitelib}/Config moved to perl
- release 2

Revision 1.7  2002/07/11 10:51:19  qboosh
- new %%doc and cosmetics

Revision 1.6  2002/07/11 07:57:41  depesz
- new version; should work; STBR

Revision 1.5  2002/07/10 08:46:36  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.4  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.3  2002/03/07 16:07:44  kloczek
- add %%{perl_sitelib}/Config directory also to package.

Revision 1.2  2002/03/07 13:37:38  grzegorz
- rel 1

Revision 1.1  2002/03/07 13:35:13  grzegorz
- PLD initial spec
